# $Revision: 1.62 $, $Date: 2007/10/05 10:39:50 $
Summary:	PLD Linux configuration tool
Summary(pl.UTF-8):	Narzędzie do konfiguracji Linuksa PLD
Name:		pldconf
Version:	0.3.16
Release:	4
License:	GPL
Group:		Applications/System
Source0:	http://www.inf.sgsp.edu.pl/pub/PROGRAMY/PLD/RPM/%{name}-%{version}.tar.gz
# Source0-md5:	f7a6a77db0642a83b5fc22b7a55e04d1
Patch0:		%{name}-help_utf8.patch
URL:		http://www.inf.sgsp.edu.pl/pub/PROGRAMY/PLD/
BuildRequires:	iconv
Requires:	bash
Requires:	dml
Requires:	gettext
Requires:	pciutils
Requires:	pci-database
Requires:	sed
Requires:	which
Requires:	%{_bindir}/perl
Requires:	less
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pcdatadir	%{_datadir}/%{name}

%description
This is a friendly tool for first-time users. It asks only a few
questions and makes use of a graphical user interface on a text
terminal. It makes possible for users to configure their graphic
environment, the network and startup manager and some other elements
of the system.

%description -l pl.UTF-8
Narzędzie jest przyjazne dla początkujących użytkowników, zadaje mało
pytań i korzysta z graficznego interfejsu użytkownika na terminalu
tekstowym. pldconf pozwala między innymi na konfigurację środowiska
graficznego, sieci, menadżera startu.

%prep
%setup -q
%patch0 -p1

%build
# added UTF-8 versions of help
for i in POMOC/README*txt
do
	iconv -f ISO-8859-2 -t UTF-8 $i > $i.pl_PL.UTF-8
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{_pcdatadir},%{_desktopdir},%{_pixmapsdir},%{_datadir}/locale/,%{_datadir}/doc/%{name}-%{version}}


find . | while read file
do
	if [ -f $file ]; then
		cat $file | \
			sed 's@/etc@%{_sysconfdir}@' | \
			sed 's@/usr/bin@%{_bindir}@' > tmp ; mv tmp $file
	fi
done

install pldconf $RPM_BUILD_ROOT%{_bindir}
cp -r BOOT DEVICES NET POMOC SYSINFO USER X pldconf_functions {autorzy,filesystems,inne,install_pld,menu_user,poldek_conf,poldek,template,user}.sh $RPM_BUILD_ROOT%{_pcdatadir}

cp -r locale/* $RPM_BUILD_ROOT%{_datadir}/locale
cp -r DOCS/* $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/

IPREFIX="/usr"
EXEC_PREFIX="${IPREFIX}/bin"
DATA_DIR="${IPREFIX}/share/pldconf"
CONF_DIR="/etc/pldconf"
CONF_FILE="${CONF_DIR}/ustawienia"

cat > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/ustawienia << EOF
export PLDCONF_PAGER=less
export ERRORS_HANDLE=ALWAYS_ASK
export VERBOSE_MODE=0
export TIMEOUT_MODE=0
export SLEEP_TIME=2
export X_MOUSE_PROTOCOL=auto
EOF

install X/gfx/pldconf.desktop $RPM_BUILD_ROOT%{_desktopdir}
install X/gfx/pldconf.png $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc DOCS/README.hacking DOCS/README.i18n
%attr(755,root,root) %{_bindir}/*

%dir %{_pcdatadir}
%{_pcdatadir}/pldconf_functions
%attr(755,root,root) %{_pcdatadir}/*.sh

%dir %{_pcdatadir}/BOOT
%attr(755,root,root) %{_pcdatadir}/BOOT/*.sh
%{_pcdatadir}/BOOT/*.c

%dir %{_pcdatadir}/NET
%attr(755,root,root) %{_pcdatadir}/NET/*.sh
%dir %{_pcdatadir}/NET/NET_FILES
%{_pcdatadir}/NET/NET_FILES/cost

%dir %{_pcdatadir}/DEVICES
%attr(755,root,root) %{_pcdatadir}/DEVICES/*.sh
%dir %{_pcdatadir}/DEVICES/ALSA
%attr(755,root,root) %{_pcdatadir}/DEVICES/ALSA/*.sh
%dir %{_pcdatadir}/DEVICES/TV
%attr(755,root,root) %{_pcdatadir}/DEVICES/TV/*.sh
%{_pcdatadir}/DEVICES/TV/CARDLIST.bttv
%{_pcdatadir}/DEVICES/TV/CARDLIST.saa7134
%{_pcdatadir}/DEVICES/TV/CARDLIST.tuner

%dir %{_pcdatadir}/POMOC
%{_pcdatadir}/POMOC/README*

%dir %{_pcdatadir}/USER
%attr(755,root,root) %{_pcdatadir}/USER/*.sh

%dir %{_pcdatadir}/SYSINFO
%attr(755,root,root) %{_pcdatadir}/SYSINFO/*.sh

%dir %{_pcdatadir}/X
%attr(755,root,root) %{_pcdatadir}/X/*.sh

%dir %{_pcdatadir}/X/gfx
%{_pcdatadir}/X/gfx/*

%dir %{_pcdatadir}/X/archive
%{_pcdatadir}/X/archive/*

%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/*

%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pldconf.spec,v $
Revision 1.62  2007/10/05 10:39:50  witekfl
- added the help_utf8.patch
- BR: iconv
- rel 4

Revision 1.61  2007/02/21 12:13:21  paszczus
- in Ac there is again 'kernel' so removed Patch0; rel 3 - STBR

Revision 1.60  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.59  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.58  2006/05/09 14:46:47  paszczus
- in AC kernel name is "kernel-grsecurity" so added: pldconf-kernel-name.patch
- release 2

Revision 1.57  2005/06/15 16:58:04  mimooh
- version 0.3.16;

Revision 1.56  2005/05/20 18:19:07  darekr
- removed BR: sed

Revision 1.55  2005/02/28 12:15:41  paszczus
- removed R: vim (fixed in svn)

Revision 1.54  2005/02/26 11:44:07  adamg
- simplified %%setup
- added Requires: vim
- release 3

Revision 1.53  2005/01/01 12:35:39  djrzulf
- less is needed - STBR,

Revision 1.52  2004/12/20 18:27:24  mimooh
- new rox behaves a bit different (MIME) so pldconf needed to be a bit
  adjusted - version 0.3.15;

Revision 1.51  2004/12/19 23:43:35  mimooh
- version 0.3.14

  there are quite a few bugs fixed and support for X11 added;

  we moved to private svn (https://svn.inf.sgsp.edu.pl/svn/pldconf)
  for two reasons:
  - I wanted to learn more about svn from server side,
  - two friends of mine were interested in playing with it and I didn't
    want to bother PLD svn admins

  hope this is fine.

Revision 1.50  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.49  2004/10/06 11:23:25  qboosh
- sorted Rs, no need to write default attr

Revision 1.48  2004/09/19 07:29:06  paszczus
- fix md5

Revision 1.47  2004/09/18 21:40:52  teodor
- updated md5 sum

Revision 1.46  2004/09/18 21:29:00  teodor
- new release 0.3.13
- support for i18n
- installation desktop file and icon

Revision 1.45  2004/06/19 13:50:58  mimooh
- version 0.3.12;

Revision 1.44  2004/04/16 09:41:26  paszczus
- added R: which

Revision 1.43  2004/04/16 08:49:01  mimooh
- version 0.3.11;

Revision 1.41  2004/02/13 15:18:01  mimooh
- version 0.3.9;

Revision 1.40  2004/02/11 15:28:16  mimooh
- release 0.3.8

Revision 1.39  2004/02/10 13:58:02  mimooh
- fixed bug with generating /etc/pldconf/ustawienia;

Revision 1.38  2004/02/10 13:09:35  ankry
- format %%description to 70 characters, please

Revision 1.37  2004/02/10 13:05:16  mimooh
- new release;
- improved English translation with help of mgr Justyna Gładysz ;)

Revision 1.36  2003/11/06 11:48:31  mimooh
- version 0.3.6;

Revision 1.35  2003/10/25 15:25:51  mimooh
- release 0.3.5;

Revision 1.34  2003/09/12 16:29:34  mimooh
- updated to 0.3.4

Revision 1.33  2003/09/03 15:25:43  mimooh
- updated to 0.3.3;
- Not fixing dml.conf stuff yet, don't want pldconf to depend on such a new
  version of dml; for now pldconf will have standard colors which look good
  also; Other way could be checking for version of dml - will deal with it
  later;

Revision 1.32  2003/09/02 07:22:33  adamg
- there is no win.sh, but win.pl

Revision 1.31  2003/09/01 16:31:56  blues
- commented out instalation of dml.conf - you can't replace whole system
  configuration for one particular aplication. Run dml with -C option and
  config in your own directory (but it suxx too)

Revision 1.30  2003/09/01 15:46:19  mimooh
- updated do 0.3.2;
- added requires for sed+awk+pcitutils, mainly for ALSA script;

Revision 1.29  2003/08/28 10:31:20  misi3k
- R: pciutils, sh-utils, psutils (author request)

Revision 1.28  2003/08/27 18:49:33  misi3k
R: pciutils, sh-utils, psutils

Revision 1.27  2003/08/27 15:57:56  mimooh
- updated to 0.3.1;

Revision 1.26  2003/08/25 23:33:12  mimooh
- seems like perl-modules are not needed at all - deleting from requires;

Revision 1.25  2003/08/20 12:15:23  mimooh
- release 0.3.0;

Revision 1.24  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/07/26 21:22:51  mimooh
- updated to 0.2.5;

Revision 1.21  2003/07/26 20:09:06  undefine
- small simplifications...

Revision 1.20  2003/06/29 19:46:46  mimooh
- updated to 0.2.4 2;

Revision 1.19  2003/06/20 12:37:24  mimooh
- updated to 0.2.4

Revision 1.18  2003/06/17 18:09:40  mimooh
- updated for printer.sh

Revision 1.17  2003/06/17 14:30:36  mimooh
- fixed permisions to /X/KILLER_DESKTOP/Choices/MIME-types/*

Revision 1.16  2003/06/17 12:00:59  mimooh
-Added ooo_red.png file;

Revision 1.15  2003/06/05 14:00:32  deejay1
- up to 0.2.3

Revision 1.14  2003/05/28 13:01:18  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:25:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/13 10:21:01  djrzulf
- updated to 0.2.1,

Revision 1.11  2003/05/13 07:42:35  djrzulf
- added missed file dml.conf,
- Release:	2

Revision 1.10  2003/05/12 20:56:36  djrzulf
- finished,

Revision 1.9  2003/05/12 19:56:31  djrzulf
- typo

Revision 1.8  2003/05/12 19:54:48  djrzulf
- cosmetics && cleanups,

Revision 1.7  2003/05/12 18:53:26  djrzulf
- started update do 0.2.0

Revision 1.6  2003/05/04 15:46:12  radek
- do not BR: perl

Revision 1.5  2003/04/21 21:26:01  djrzulf
- desc and summary update

Revision 1.4  2003/04/10 21:28:27  blues
- some cosmetics

Revision 1.3  2003/04/10 21:20:18  djrzulf
- BuildArch changed to noarch

Revision 1.2  2003/04/10 21:14:04  djrzulf
- fixed files

Revision 1.1  2003/04/10 21:11:58  djrzulf
- changed name from pld-conf to pldconf,

Revision 1.7  2003/04/10 13:06:00  djrzulf
- fixed permissions

Revision 1.6  2003/04/08 22:16:03  malekith
- reverted, stupid me
- however install.sh script should be patched, not to check these stuff

Revision 1.5  2003/04/08 21:58:38  malekith
- neither of these BR's are used during build process, just sed, find and mv

Revision 1.4  2003/04/08 21:17:51  djrzulf
- added missed BRs

Revision 1.3  2003/04/07 18:55:06  qboosh
- added Group and missing dirs, fixed typos

Revision 1.2  2003/04/07 15:43:11  ankry
- cosmetics

Revision 1.1  2003/04/07 14:44:42  ggodlewski
- initial release
